gnutls_x509_crt_set_flags(3)

NAME
gnutls_x509_crt_set_flags - API function

SYNOPSIS
#include <gnutls/x509.h>

void gnutls_x509_crt_set_flags(gnutls_x509_crt_t cert, unsigned int flags);

ARGUMENTS

gnutls_x509_crt_t cert
    A type gnutls_x509_crt_t

unsigned int flags
    flags from the gnutls_x509_crt_flags

DESCRIPTION
This function will set flags for the specified certificate. Currently this is useful for the GNUTLS_X509_CRT_FLAG_IGNORE_SANITY which allows importing certificates even if they have known issues.

SINCE
3.6.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/